From d9c61efdd853c999b92061ad4f88dd012265dbba Mon Sep 17 00:00:00 2001
From: Boris Mironov <boris.mironov@gmail.com>
Date: Sun, 1 Mar 2026 18:24:18 +0700
Subject: [PATCH v9 24/26] Removing double call to checkInitSteps

---
 src/bin/pgbench/pgbench.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index 1b73da904ad..7d3a1583152 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -5816,9 +5816,9 @@ checkInitSteps(const char *initialize_steps)
 	}
 
 	if (data_init_type == 0)
-		pg_log_error("WARNING! No data generation type is provided");
+		pg_log_warning("No data generation type is provided");
 	if (data_init_type > 1)
-		pg_log_error("WARNING! More than one type of data initialization is requested");
+		pg_log_warning("More than one type of data initialization is requested");
 }
 
 /*
@@ -7449,7 +7449,6 @@ main(int argc, char **argv)
 			case 'I':
 				pg_free(initialize_steps);
 				initialize_steps = pg_strdup(optarg);
-				checkInitSteps(initialize_steps);
 				initialization_option_set = true;
 				break;
 			case 'j':			/* jobs */
-- 
2.43.0

